{ ... }@inputs:
let
  hardware = inputs.nixos-hardware.nixosModules;
in
{
  sayuri = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-intel
      hardware.common-pc-ssd
    ];
  };
  vueko = {
    system = "x86_64-linux";
    extraModules = [
      "${inputs.infinisilSystem}/config/new-modules/murmur.nix"
    ];

    targetHost = "vueko.sbruder.de";
  };
  fuuko = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-intel
      hardware.common-pc-ssd
    ];

    targetHost = "fuuko.home.sbruder.de";
    unlockOverV4 = false; # gets slaac ipv6 address from router
  };
  mayushii = {
    system = "x86_64-linux";
    extraModules = [
      #hardware.lenovo-thinkpad-p14s-amd-gen2
      (import "${inputs.nixos-hardware}/lenovo/thinkpad/p14s/amd/gen2")
      hardware.common-pc-ssd
    ];
  };
  yuzuru = {
    system = "x86_64-linux";
    nixpkgs = inputs.nixpkgs-unstable;

    targetHost = "yuzuru.sbruder.xyz";
  };
}
